import QtQuick 2.12
import QtQuick.Window 2.12

Window {
    visible: true
    width: 640
    height: 480

    NumberAnimation {
//        from: 90
        to: from+360
//        loops: Animation.Infinite
        target: rect
        properties: "rotation"
        running: true
        duration: 1000
    }

    Rectangle {
        id: rect
        width: 300
        height: 10
        color: "red"
        anchors.centerIn: parent
        transformOrigin: Item.Center
        onRotationChanged: console.log("rotation changed to", rotation)
    }
}
